function zModel = complexToMagPhase(Z,arFreq)
% complexToMagPhase 
%   Converts complex number into model

%   Project: IMPACT
%   Title of Code: complexToMagPhase
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.

zModel.arMagnitude = abs(Z);
zModel.arPhase = unwrap(angle(Z))*180/pi;
zModel.arFreq = arFreq;